Page MenuHomePhabricator

"Cards" extension should be able to render uniform cards in mobile skin
Closed, ResolvedPublic5 Story Points

Description

Per discussion with @phuedx, breaking out the first bit of T113635.

Create a new extension called "Cards" with the function of receiving a list of article titles and generating a set of uniform cards for each article (Main namespace only for first pass). This extension will be a dependency of Gather and Read More (and hopefully more future features and/or similar features in apps).

Output will look like this:


Ignore desktop specific code/styling right now.
It only needs to render via JS

Event Timeline

jhobs created this task.Oct 1 2015, 5:37 PM
jhobs claimed this task.
jhobs raised the priority of this task from to Normal.
jhobs updated the task description. (Show Details)

phuedx|afk: jhobs one thing to bear in mind with the read more feature, is that in future we may want to swap cards for a list of items (more similar to the mobile PageList that you see in search/nearby etc..) - if that's a list of cards that's great. I just want to make sure you think about that and include it in your thought process! :)

JKatzWMF set Security to None.Oct 2 2015, 4:42 PM
JKatzWMF added subscribers: Deskana, tomasz.

When is this likely to be implemented?

I would like that we mention it in the Reading updates I am compiling for September, before it is actually implemented. Updates will be published on Friday next.

tomasz edited subscribers, added: Tfinc; removed: tomasz.Oct 5 2015, 7:34 PM
phuedx added a comment.Oct 6 2015, 9:39 AM

@Moushira: The first pass of this should be in code review/be done by the end of Reading-Web-Sprint-57-The Fifth Element

@jhobs, I can pick up where you left off later today if you're busy with 0 stuff. Let me know.

bmansurov claimed this task.Oct 8 2015, 2:43 AM

A request to create a gerrit repo has been submitted here [1].

[1] https://www.mediawiki.org/wiki/Git/New_repositories/Requests

@bmansurov, Sorry, I missed your earlier comment somehow. I was still planning to tackle this and create the extension during my pairing session with Jon, but if you want to take it then that's fine too.

@bmansurov let's sync up and/or do a pairing session early next week, preferably with @phuedx as well.

@jhobs, OK. Could you please create a calendar event?

Change 244630 had a related patch set uploaded (by Bmansurov):
Add the extension boilerplate

https://gerrit.wikimedia.org/r/244630

bmansurov added a comment.EditedOct 9 2015, 12:51 AM

The first patch needs a review while I work on functionality. Please move the task back to the 'Doing' column once review is done.

Change 244650 had a related patch set uploaded (by Bmansurov):
Add the Cards extension

https://gerrit.wikimedia.org/r/244650

Change 244650 merged by jenkins-bot:
Add the Cards extension

https://gerrit.wikimedia.org/r/244650

Change 244630 merged by jenkins-bot:
Add the extension boilerplate

https://gerrit.wikimedia.org/r/244630

Change 245623 had a related patch set uploaded (by Bmansurov):
Add view

https://gerrit.wikimedia.org/r/245623

Jdlrobson updated the task description. (Show Details)Oct 13 2015, 4:28 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Implement "Cards" extension for generating uniform cards to "Cards" extension should be able to render uniform cards.Oct 13 2015, 4:33 PM

@Jdlrobson, I see watchstars in the screenshot. Do we really need them?

Change 246129 had a related patch set uploaded (by Bmansurov):
Add jshint and jscs support

https://gerrit.wikimedia.org/r/246129

Change 246137 had a related patch set uploaded (by Bmansurov):
Add a module that renders cards

https://gerrit.wikimedia.org/r/246137

Change 245623 abandoned by Bmansurov:
Add view

Reason:
Done in JS: https://gerrit.wikimedia.org/r/#/c/246137/

https://gerrit.wikimedia.org/r/245623

@Jdlrobson, I see watchstars in the screenshot. Do we really need them?

@Jdlrobson: SYN

@bmansurov @phuedx I chatted yesterday to Kaity and Jon Katz. Please use the mock (the one in the task description) and include the watchstar - borrow as much from search/nearby as necessary. If anyone tells you anything different put your fingers in your ears and say "nahahaa nahah can't hear you" and send them to me. First things first we need to get something up and running.

Right now the top priority is to get this into mobile web so we can run some tests on real users.
We will make decisions on watchstar later.
Sorry for the turbulence.

Change 246129 merged by jenkins-bot:
Add jshint and jscs support

https://gerrit.wikimedia.org/r/246129

Change 246137 merged by jenkins-bot:
Add a module that renders cards

https://gerrit.wikimedia.org/r/246137

Jdlrobson renamed this task from "Cards" extension should be able to render uniform cards to "Cards" extension should be able to render uniform cards in mobile skin.Oct 26 2015, 3:44 PM

T116601 covers the desktop use case.
Looks good but there are some styling issues to resolve to get them to match the mockup - specifically font color / styles when appended to/inserted after #bodyContent so moving back to ready for dev so someone can take care of that!

I guess we also need to add those watchstars - Baha do you want to create a separate card for that if that is not trivial?

Change 248931 had a related patch set uploaded (by Bmansurov):
Fix link style and text colors

https://gerrit.wikimedia.org/r/248931

One more problem: the font-family:
I'm seeing headings with Linux Libertine when in fact they should be the same as the extract.

Change 248931 merged by jenkins-bot:
Fix link style and text colors

https://gerrit.wikimedia.org/r/248931

Change 249033 had a related patch set uploaded (by Bmansurov):
Fix card heading font-family.

https://gerrit.wikimedia.org/r/249033

Change 249033 merged by jenkins-bot:
Fix card heading font-family.

https://gerrit.wikimedia.org/r/249033

Jdlrobson closed this task as Resolved.Oct 27 2015, 7:25 PM

There seem to be a few inconsistencies with what's been created and the mocks (see T116810 and T116624) but I think this is good enough for sign off